ZCO 2018 discussion

I don’t think they’ll consider increased difficulty as a fault

Seemed a lot more difficult than previous questions. Managed only 60 on the second tproblem. {0 on the first one)

The questions can be found at this link:
https://www.commonlounge.com/discussion/7ca7510fa3ad4ac6b07ea0fe2127db73/main

1 Like

What is the expected cutoff?
I wasted all my time trying to get 100 on the second problem(got 75) probably should have tried the 1st one.

What method exactly did you use for the first one? the XYZ question

@mathecodician when did u see that the no of right submissions for p1 to be 4 because in ur spreadsheet there are 4people with 100 and I also got 100 in p1 which means there are minimum 5 persons who got 100 in p1

Everyone give ur feedback to iarcs more would be the feedback more would be the same pressure and thus somehow I guess we can pass through zco. If they get more than 100 such request chances are very very high that some immediate action would be taken for the students…

I tried brute but answers were off by one or two idk why may be due to weak test cases but idk, only thing we can do know is complain to iarcs at ico@iarcs.org.in … do it ASAP…

Not about the answers I am asking to complain about increased difficulty, increased issues, different format, etc and other issues …
also at my centre the paper was made over 15 mins before actual time and I couldn’t submit my debugged code…
Only thing we can do currently to ensure selection is giving feedback to i arcs…

Everyone give your feedback to IARCS mentioning not only the increased difficulty but also the sudden pattern change in the problem.This is probably the first time that the problems asked didn’t include some of the most famous topics like grids graphs and dp.

Did any one else experience any inconvenience due to technical support and errors at their centre ?..if yes…then please report this issue to IARCS asap

Too many technical issues in Delhi center

I think zco was way harder than the inoi problems i have solved :confused:

There were lots of Technical difficulties in IIITD. Firstly, the computers kept on hanging for the entirety of the exam. And I am not the only one in my test room who experienced this problem. In my case the major reason for this was probably codeblocks. Seeing this problem,I moved over to the online text editor of codechef. And the ide kept on telling me to refresh my web page every 5 minutes. Somehow I managed through the test,and I got a solution(for problem 1) which I had tested on the test cases available to download using the online editor. At 1:05 I was about to submit my solution(the contest had been extended to 1:10).I clicked on submit, and as I was about to paste my code, somehow my session timed out. And this continued for the next 5 minutes, preventing me from submitting my code,until the end of the test, after which the invigilators gave up on my case, told me they could do nothing and shut down my computer.

1 Like

Mail this Ashutosh^

Have mailed it

The solutions -

the string one –

So compute prefix sums where pref[1][i][j] is the number of indices x in range [1…i] such that
a[x] == ‘X’ and x%3 == j. Similarly, pref[2][i][j] is the number of indices x in range [1…i] such that a[x] == ‘Z’ and x%3 == j.

Now compute for each subtring of length k the importance,
it will basically be something like -
if [x…y] is the subtring, the importance-
for each j number of X’s to the left of x*number of Z’s to the right of x

  • number of X’s in range [x…y]*number of Z’s to the right of y
  • number of good substrings in range [x…y] completely overlapping

the number good substrings will be for each j in range [x…y] the number of Z’s in range [j…y]

u could actually make a O(1) formula for the last part after doing some maths.


the interval one –

for k = 0, its trivial. for k = 1,
find any pair which overlap, lets call these indices ind and ind+1. Now try placing ind anywhere. If u can’t place it (due to overlaps) or there is some other overlap, then try placing ind+1 as well.
If u can place either or them such that no overlaps happen then ans is good else bad

3 Likes

Yeah, I agree. The questions were harder than previous year’s question.

So, the test started at 10:10 and ended at 13:10. So, I got 3 hours for the questions. But, many students’ computers’ timer went on for extra 10 minutes or so. When we told the invigilators, they told us to refresh our pages and try again, but nothing happened. The invigilators said they can’t do anything about it.(I agree; it wasn’t their fault).

I am not saying I got less time than the official time, but some people got more time which disadvantaged the rest of us as even 10 minutes in these contests mean a lot.

I request you to kindly look into the matter.
Hoping for a favourable response!

@taksh001 the timer showed extra 10 min but if u reloaded it or went to submission page it showed u re denied access the content so I feel no one got extra time only the timer was wrong that to if u have not reloaded the page.

For the first one,
created a vector called dp with two integer elements. the first integer contained the importance of the substring till the current character(the current character being the last character of the substring of the intended length). The second integer contained the index of the closest previous ‘X’ character. Now I iterated through the string. If a[i] was z, I checked its length until previous Xs; if it was divisible by 3, I increased all the dp[i]s in the range of the checked Xs and the current z by 1. I kept checking that no Xs are repeated using a 2d visited array. If a[i] was X, I included it in dp index and updated dp[i] as dp[i-1]-1, checking it to be >0. Same if a[i] was Y, except that there was no updation in dp index.

Answer was minimum of all dp importances.